#
# Conditional build:
%bcond_with	tests		# tests require networking

Summary:	Generate rpm specfiles from gems
Name:		gem2rpm
Version:	0.11.2
Release:	1
License:	GPL v2+
Group:		Development/Languages
Source0:	https://github.com/fedora-ruby/gem2rpm/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	80d6170dcfe7d0a840e8bf7149096d3a
Source2:	pld.spec.erb
Patch0:		gems.patch
Patch1:		os-release-quotes.patch
Patch2:		style.patch
URL:		https://github.com/fedora-ruby/gem2rpm
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%endif
Requires:	pld-release
Requires:	ruby-rubygems
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generate source rpms and rpm spec files from a Ruby Gem. The spec file
tries to follow the gem as closely as possible, and be compliant with
the Fedora rubygem packaging guidelines

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep
%setup -q
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -p %{SOURCE2} templates

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%if %{with tests}
# tests need UTF-8 locale
LC_ALL=en_US.UTF-8 \
testrb -Itest test/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{_bindir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

install -d $RPM_BUILD_ROOT%{_datadir}/ruby/templates
cp -a templates/* $RPM_BUILD_ROOT%{_datadir}/ruby/templates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md AUTHORS
%attr(755,root,root) %{_bindir}/gem2rpm
%{ruby_vendorlibdir}/gem2rpm.rb
%{ruby_vendorlibdir}/gem2rpm
%{_datadir}/ruby/templates
%changelog
* Tue Aug 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gem2rpm.git;a=log;h=master

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> d18027f
- up to 0.11.2

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> e2fce42
- fix for os-release containing quotes

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> b4f912c
- up to 0.11.1

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 575f7dc
- install to version independant ruby dir

* Mon Dec 15 2014 Elan Ruusamäe <glen@delfi.ee> 26fbd09
- update urls

* Mon Dec 15 2014 Elan Ruusamäe <glen@delfi.ee> ce19db2
- pld template: build and package gemspec

* Mon Dec 15 2014 Elan Ruusamäe <glen@delfi.ee> b59b10c
- up to 0.10.1

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 48ec4e4
- disable tests, they require networking to fetch gem specs

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 624d0b8
- Requires rubygems runtime

* Mon Jul 21 2014 Elan Ruusamäe <glen@delfi.ee> 449a20a
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> fb76f5e
- rel 1

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 0340da3
- do not make bin dir if not needed

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 2d0bd77
- development requirements fill buildrequires

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 5c65f0d
- sort dependencies

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 132e695
- skip noarch if building extensions

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 891ab30
- add tests bcond if spec.development_dependencies present

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 91b8837
- add rubygems test, if required version specified

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 967420b
- sort bin files

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 749a162
- use source tarball; run tests

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> a0c08b4
- up to 0.9.2

